OCRAD(1)

NAME
ocrad - optical text recognition tool

SYNOPSIS
ocrad [options] [files]

DESCRIPTION
GNU Ocrad is an OCR (Optical Character Recognition) program based on a feature extraction method. It reads images in png or pnm formats and produces text in byte (8-bit) or UTF-8 formats. The formats pbm (bitmap), pgm (greyscale), and ppm (color) are collectively known as pnm.

Ocrad includes a layout analyser able to separate the columns or blocks of text normally found on printed pages.

For best results the characters should be at least 20 pixels high. If they are smaller, try the option --scale. Scanning the image at 300 dpi usually produces a character size good enough for ocrad. Merged, very bold, or very light (broken) characters are normally not recognized correctly. Try to avoid them.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-a, --append
    append text to output file

-c, --charset=<name>
    try '--charset=help' for a list of names

-e, --filter=<name>
    try '--filter=help' for a list of names

-E, --user-filter=<file>
    user-defined filter, see manual for format

-f, --force
    force overwrite of output file

-F, --format=<fmt>
    output format (byte, utf8)

-i, --invert
    invert image levels (white on black)

-l, --layout
    perform layout analysis

-o, --output=<file>
    place the output into <file>

-q, --quiet
    suppress all messages

-s, --scale=[-]<n>
    scale input image by [1/]<n>

-t, --transform=<name>
    try '--transform=help' for a list of names

-T, --threshold=<n>
    threshold for binarization (0.0-1.0)

-u, --cut=<l,t,w,h>
    cut the input image by the rectangle given

-v, --verbose
    be verbose

-x, --export=<file>
    export results in ORF format to <file>

If no files are specified, or if a file is '-', ocrad reads the image from standard input. If the option -o is not specified, ocrad sends text to standard output.

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid command-line options, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (e.g., bug) which caused ocrad to panic.

REPORTING BUGS
Report bugs to bug-ocrad@gnu.org
Ocrad home page: http://www.gnu.org/software/ocrad/ocrad.html
General help using GNU software: http://www.gnu.org/gethelp

COPYRIGHT
Copyright © 2024 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for ocrad is maintained as a Texinfo manual. If the info and ocrad programs are properly installed at your site, the command

    info ocrad

should give you access to the complete manual.